import { Observable } from 'rxjs';
import { AuthOptions } from '../auth-options';
import { ConfigurationProvider } from '../config/config.provider';
import { LoginResponse } from './login-response';
import { ParLoginService } from './par/par-login.service';
import { PopUpLoginService } from './popup/popup-login.service';
import { PopupOptions } from './popup/popup-options';
import { StandardLoginService } from './standard/standard-login.service';
export declare class LoginService {
    private configurationProvider;
    private parLoginService;
    private popUpLoginService;
    private standardLoginService;
    constructor(configurationProvider: ConfigurationProvider, parLoginService: ParLoginService, popUpLoginService: PopUpLoginService, standardLoginService: StandardLoginService);
    login(authOptions?: AuthOptions): void;
    loginWithPopUp(authOptions?: AuthOptions, popupOptions?: PopupOptions): Observable<LoginResponse>;
}
