import { Observable } from 'rxjs';
import { DataService } from '../api/data.service';
import { ResetAuthDataService } from '../flows/reset-auth-data.service';
import { CheckSessionService } from '../iframe/check-session.service';
import { LoggerService } from '../logging/logger.service';
import { StoragePersistenceService } from '../storage/storage-persistence.service';
import { RedirectService } from '../utils/redirect/redirect.service';
import { UrlService } from '../utils/url/url.service';
export declare class LogoffRevocationService {
    private dataService;
    private storagePersistenceService;
    private loggerService;
    private urlService;
    private checkSessionService;
    private resetAuthDataService;
    private redirectService;
    constructor(dataService: DataService, storagePersistenceService: StoragePersistenceService, loggerService: LoggerService, urlService: UrlService, checkSessionService: CheckSessionService, resetAuthDataService: ResetAuthDataService, redirectService: RedirectService);
    logoff(urlHandler?: (url: string) => any): void;
    logoffLocal(): void;
    logoffAndRevokeTokens(urlHandler?: (url: string) => any): Observable<any>;
    revokeAccessToken(accessToken?: any): Observable<any>;
    revokeRefreshToken(refreshToken?: any): Observable<any>;
    getEndSessionUrl(): string | null;
}
