"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addPackageJsonDependencies = void 0;
const dependencies_1 = require("@schematics/angular/utility/dependencies");
const dependenciesToAdd = [
    {
        name: 'angular-auth-oidc-client',
        version: '11.6.8',
    },
];
function addPackageJsonDependencies() {
    return (host, context) => {
        for (const pack of dependenciesToAdd) {
            const nodeDependency = createNodeDependency(pack);
            dependencies_1.addPackageJsonDependency(host, nodeDependency);
            context.logger.info(`✅️ Added "${pack.name}" ${pack.version}`);
        }
        return host;
    };
}
exports.addPackageJsonDependencies = addPackageJsonDependencies;
function createNodeDependency(pack) {
    const { name, version } = pack;
    return {
        type: dependencies_1.NodeDependencyType.Default,
        name,
        version,
        overwrite: true,
    };
}
//# sourceMappingURL=add-dependencies.js.map