declare const DEFAULT_CONFIG = "{\n              stsServer: '<stsUrlOrTenantId>',\n              redirectUrl: window.location.origin,\n              postLogoutRedirectUri: window.location.origin,\n              clientId: 'please-enter-clientId',\n              scope: 'please-enter-scopes', // 'openid profile offline_access ' + your scopes\n              responseType: 'code',\n              silentRenew: true,\n              useRefreshToken: true,\n              renewTimeBeforeTokenExpiresInSeconds: 30,\n          }";
declare const IFRAME_SILENT_RENEW = "{\n            stsServer: '<stsUrlOrTenantId>',\n            redirectUrl: window.location.origin,\n            postLogoutRedirectUri: window.location.origin,\n            clientId: 'please-enter-clientId',\n            scope: 'please-enter-scopes', // 'openid profile ' + your scopes\n            responseType: 'code',\n            silentRenew: true,\n            silentRenewUrl: window.location.origin + '/silent-renew.html',\n            renewTimeBeforeTokenExpiresInSeconds: 10,\n        }";
declare const AZURE_AD_SILENT_RENEW = "{\n            stsServer: 'https://login.microsoftonline.com/<stsUrlOrTenantId>/v2.0',\n            authWellknownEndpoint: 'https://login.microsoftonline.com/common/v2.0',\n            redirectUrl: window.location.origin,\n            clientId: 'please-enter-clientId',\n            scope: 'please-enter-scopes', // 'openid profile ' + your scopes\n            responseType: 'code',\n            silentRenew: true,\n            maxIdTokenIatOffsetAllowedInSeconds: 600,\n            issValidationOff: false,\n            autoUserinfo: false,\n            silentRenewUrl: window.location.origin + '/silent-renew.html',\n            customParams: {\n              prompt: 'select_account', // login, consent\n            },\n        }";
declare const AZURE_AD_REFRESH_TOKENS = "{\n            stsServer: 'https://login.microsoftonline.com/<stsUrlOrTenantId>/v2.0',\n            authWellknownEndpoint: 'https://login.microsoftonline.com/common/v2.0',\n            redirectUrl: window.location.origin,\n            clientId: 'please-enter-clientId',\n            scope: 'please-enter-scopes', // 'openid profile offline_access ' + your scopes\n            responseType: 'code',\n            silentRenew: true,\n            useRefreshToken: true,\n            maxIdTokenIatOffsetAllowedInSeconds: 600,\n            issValidationOff: false,\n            autoUserinfo: false,\n            customParams: {\n              prompt: 'select_account', // login, consent\n            },\n    }";
declare const OAUTH_PAR = "{\n            stsServer: '<stsUrlOrTenantId>',\n            redirectUrl: window.location.origin,\n            postLogoutRedirectUri: window.location.origin,\n            clientId: 'please-enter-clientId',\n            usePushedAuthorisationRequests: true,\n            scope: 'please-enter-scopes', // 'openid profile offline_access ' + your scopes\n            responseType: 'code',\n            silentRenew: true,\n            useRefreshToken: true,\n            ignoreNonceAfterRefresh: true,\n            customParams: {\n              prompt: 'consent', // login, consent\n            },\n    }";
declare const AUTH_0 = "{\n            stsServer: '<stsUrlOrTenantId>',\n            redirectUrl: window.location.origin,\n            clientId: 'please-enter-auth0-clientId',\n            scope: 'openid profile offline_access',\n            responseType: 'code',\n            silentRenew: true,\n            useRefreshToken: true,\n        }";
declare const OIDC_PLAIN = "{\n            stsServer: '<stsUrlOrTenantId>',\n            redirectUrl: window.location.origin,\n            postLogoutRedirectUri: window.location.origin,\n            clientId: 'please-enter-clientId',\n            scope: 'please-enter-scopes', // 'openid profile ' + your scopes\n            responseType: 'code',\n            silentRenew: false,\n            renewTimeBeforeTokenExpiresInSeconds: 10,\n        }";
export { DEFAULT_CONFIG, AZURE_AD_SILENT_RENEW, IFRAME_SILENT_RENEW, AZURE_AD_REFRESH_TOKENS, OIDC_PLAIN, AUTH_0, OAUTH_PAR };
